MagicMirror² v2.4.1 is available! For more information about this release, check out this topic.
Please read the release notes carefully since this update requires adjustments to your Raspberry Pi configuration!

Default weather modules with darksky api



  • I had an openweather api before they changed the rules. But I’m not sure if they’re starting to lock it down more or what, but the forecast has broken (invalid date error), and nothing seems to fix it (had entries in troubleshooting).

    I have have switched to the https://github.com/dmcinnes/MMM-forecast-io
    module, and if anything its weather results are more accurate.

    But I miss the look of the default modules. The above module has done a fine job, but the defaults are more cohesive.

    Considering you can’t get openweather apis anymore, or even weatherunderground apis, anyone want to take a whack at getting the default weather/weather forecast modules to use the dark sky api?

    https://darksky.net

    Thanks!